<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PampdsMergeTwoPatientsadt^a40^adta39']}"></ui:param>
            <ui:param name="panelTitle" value="#{messages['gazelle.simulator.pam.MergeTwoPatients']}"></ui:param>
            <ui:param name="diagramSrc" value="diag/#{mergeManager.sendingActor.keyword}_A40.png"></ui:param>
            <ui:param name="pdsBean" value="#{mergeManager}"></ui:param>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton"
                                   value="#{messages['gazelle.simulator.pam.GenerateIncorrectPatient']}"
                                   actionListener="#{mergeManager.generateIncorrectPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
                <a4j:commandButton id="generateButton2"
                                   value="#{messages['gazelle.simulator.pam.GenerateTargetPatient']}"
                                   actionListener="#{mergeManager.generateCorrectPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
            </ui:define>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.SelectTwoPatientsToMergeOrGenerateOneOfThemorEve']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink
                                actionListener="#{mergeManager.setSelectedPatient(patient)}"
                                render="messageConfigurationPanel,sendHL7MessageDiv"
                                title="#{messages['gazelle.pam.MarkAsCorrectPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-checked "/>
                        </a4j:commandLink>
                        <a4j:commandLink
                                actionListener="#{mergeManager.setSecondaryPatient(patient)}"
                                render="messageConfigurationPanel,sendHL7MessageDiv"
                                title="#{messages['gazelle.pam.MarkAsIncorrectPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-times "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <ui:include src="/patient/_mergePatientsPanel.xhtml">
                    <ui:param name="managedBean" value="#{mergeManager}"/>
                </ui:include>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
